<?php

$show_donate_btn = charitious_option('show_donate_btn', charitious_defaults('show_donate_btn'));

$logo = charitious_option('site_logo');
$custom_logo = charitious_meta_option(get_the_ID(), 'custom_logo');
if( is_array($custom_logo) && $custom_logo['url'] != '' ){
    $logo = $custom_logo['url'];
}elseif($logo != ''){
    $logo = charitious_option('site_logo');
}else{
    $logo = charitious_get_image( 'menu_logo', CHARITIOUS_IMAGES . '/logo.png' );
}


$show_topbar = charitious_option( 'show_topbar',charitious_defaults('show_topbar') );

?>
<header class="xs-header header-transparent xs-box">
    <div class="container">
        <nav class="xs-menus">
            <?php get_template_part( 'template-parts/navigation/nav', 'top' ); ?>
            <div class="nav-header clearfix">
                <div class="nav-toggle"></div>
                <a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="xs-nav-logo">
                    <img src="<?php echo esc_url( $logo ) ?>" alt="<?php bloginfo( 'name' ); ?>">
                </a>
            </div>
            <div class="nav-menus-wrapper row">
                <div class="xs-logo-wraper col-lg-2 col-xl-2 xs-padding-0">
                    <a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="nav-brand">
                        <img src="<?php echo esc_url( $logo ) ?>" alt="<?php bloginfo( 'name' ); ?>">
                    </a>
                </div>
                <div class="col-lg-10 col-xl-7">
                    <?php get_template_part( 'template-parts/navigation/primary', 'nav' ); ?>
                </div>
                <div class="xs-navs-button d-flex-center-end col-lg-3 col-xl-3 d-block d-lg-none d-xl-block">
                    <?php get_template_part( 'template-parts/navigation/donate', 'button' ); ?>
                </div>
            </div>
        </nav>
    </div>
</header>
