<?PHP

namespace Elementor;

if ( ! defined( 'ABSPATH' ) ) exit;

class Xs_Gallery_Widget extends Widget_Base {

    public function get_name() {
        return 'xs-gallery';
    }

    public function get_title() {
        return esc_html__( 'Charitious Gallery', 'charitious' );
    }

    public function get_icon() {
        return 'eicon-tabs';
    }

    public function get_categories() {
        return [ 'charitious-elements' ];
    }

    protected function _register_controls() {

        $this->start_controls_section(
            'section_tab',
            [
                'label' =>esc_html__('Charitious Gallery', 'charitious'),
            ]
        );

        $this->add_control(
            'gallery',
            [
                'type' => Controls_Manager::REPEATER,
                'default'   => [
                    'gallery_image' => Utils::get_placeholder_image_src(),
                    
                ],
                'fields' => [
                    [
                        'name'          => 'gallery_image',
                        'label'         => esc_html__( 'Images', 'charitious' ),
                        'type'          => Controls_Manager::MEDIA,
                        'default' => [
                                'url' => Utils::get_placeholder_image_src(),
                        ],
                        'label_block' => true,
                    ],
                ],
            ]
        );

        $this->end_controls_section();
    }


    protected function render( ) {
        $settings = $this->get_settings();
        $portfolio_gallery = $settings['gallery'];
        ?>

        <div class="xs-single-item-slider owl-carousel">
            <?php
            foreach($portfolio_gallery as $logo_partners):
            $image = $logo_partners['gallery_image'];
            $width = $logo_partners['width'];
            if(isset($image['url']) && !empty($image['url'])){
            $image = $image['url'];
            }
            ?>
                <div class="xs-single-slider-item">
                    <img src="<?php echo esc_url($image); ?>" alt="<?php esc_attr_e('gallery item','charitious');?>">
                </div>
            <?php endforeach; ?>
        </div>
        <?php
    }

    protected function _content_template() { }
}