<?php
/*
 * Template Name: WP Fundrasing Single page Template
 * Template Post Type: wp-fundrasing
 */
get_header();

// setting data
$enableSidebar = isset($formSetting->sidebar->enable) ? $formSetting->sidebar->enable : 'No';
$enableSidebar = apply_filters('wfp_single_sidebar_disable', $enableSidebar);

$enableFeatured = isset($formSetting->featured->enable) ? $formSetting->featured->enable : 'No';
$enableSingleTitle = isset($formSetting->single_title->enable) ? $formSetting->single_title->enable : 'No';
$enableSingleExcerpt = isset($formSetting->single_excerpt->enable) ? $formSetting->single_excerpt->enable : 'No';
$enableSingleExcerpt = apply_filters('wfp_single_excerpt_hide', $enableSingleExcerpt);

$enableSingleContent = isset($formSetting->single_content->enable) ? $formSetting->single_content->enable : 'No'; 
$enableSingleContent = apply_filters('wfp_single_content_decription_hide', $enableSingleContent);

$enableSingleReview = isset($formSetting->single_review->enable) ? $formSetting->single_review->enable : 'No'; 
$enableSingleReview = apply_filters('wfp_single_content_review_hide', $enableSingleReview);

$enableSingleUpdates = isset($formSetting->single_updates->enable) ? $formSetting->single_updates->enable : 'No'; 
$enableSingleUpdates = apply_filters('wfp_single_content_updates_hide', $enableSingleUpdates);

$enableSingleRecents = isset($formSetting->single_recents->enable) ? $formSetting->single_recents->enable : 'No'; 
$enableSingleRecents = apply_filters('wfp_single_content_recent_hide', $enableSingleRecents);

$enableSingleContributor = isset($formSetting->contributor->enable) ? $formSetting->contributor->enable : 'No'; 
$enableSingleRecents = apply_filters('wfp_single_content_contributor_hide', $enableSingleContributor);

// general option data 
$metaGeneralKey = 'wfp_general_options_data';
$getMetaGeneralOp = get_option( $metaGeneralKey );
$getMetaGeneral = isset($getMetaGeneralOp['options']) ? $getMetaGeneralOp['options'] : [];
$getMetaGeneralPage = isset($getMetaGeneral['pages']) ? $getMetaGeneral['pages'] : [];	
// get checkout page
$checkoutPage = isset($getMetaGeneralPage['checkout']) ? $getMetaGeneralPage['checkout'] : 'wfp-checkout';
$urlCheckout = get_site_url().'/'.$checkoutPage.'?wfpout=true';

$metaSetupKey = 'wfp_setup_services_data';
$getSetUpData =  get_option( $metaSetupKey );
$paymentType = isset($getSetUpData['services']['payment']) ? $getSetUpData['services']['payment'] : 'default';
if($paymentType == 'woocommerce'){
	$urlCheckout = get_site_url().'/cart/?wfpout=true';
}

$single_page_banner = charitious_option('wp_fundraising_banner', '');
$single_page_banner_overly = charitious_option('wp_fundraising_banner_overly', '');

$banner_wrapper_class = 'wfp-title-section';
$banner_style = '';
if('' == $single_page_banner){
    $banner_wrapper_class .=' wfp-title-section-default';
}


?>
    <div class=" <?php echo esc_attr($banner_wrapper_class);  ?>" <?php if($single_page_banner != '') { ?> style="background-image: url( <?php echo esc_url($single_page_banner); ?>)" <?php } ?> >
        <?php if($single_page_banner_overly != '') : ?>
            <div class="wp-fundrising_overy" style="background-color: <?php echo esc_attr($single_page_banner_overly);?>;"></div>
        <?php endif; ?>
        <?php if($enableSingleTitle == 'No'):?>
            <div class="xs-container">
                <header class="wfp-post-header">
                    <?php
                    if ( ! empty( $categories ) ) {
                        $separator = ' - ';
                        $outputCate = '';
                        foreach( $categories as $category ) {
                            $outputCate .= '<a class="wfp-header-cat--link" href="' . esc_url( get_category_link( $category->term_id ) ) . '" >' . esc_html( $category->name ) . '</a>' . $separator;
                        }
                        $outputCate = trim( $outputCate, $separator );
                        ?>
                        <div class="wfp-header-cat"> <?php echo charitious_kses( $outputCate); ?> </div>
                        <?php
                    }
                    ?>
                    <?php do_action('wfp_single_title_before');?>
                    <h3 class="wfp-post-title"><?php the_title(); ?></h3>
                    <?php do_action('wfp_single_title_after');?>
                </header><!-- header end -->
            </div>
        <?php endif; ?>
    </div>
<div class="wfp-view wfp-view-public">
	<section id="main-content" class="wfp-single-page" role="main">
		<div class="xs-container">
			<div class="<?php echo esc_attr(($enableSidebar == 'Yes') ? 'xs-row ': ' ');?>">
				<div class="<?php echo esc_attr(($enableSidebar == 'Yes') ? 'xs-col-sm-12 xs-col-md-12 xs-col-lg-8 wfp-single-page-left-section ': ' ');?>">
					<?php while ( have_posts() ) : the_post(); ?>
					<div class="wfp-entry-content">
						<article id="post-<?php the_ID(); ?>" <?php post_class(); ?> wfp-data-url="<?php echo esc_url($urlCheckout);?>" wfp-payment-type="<?php echo esc_html($paymentType);?>">
						<div class="wfp_wraper_con">
							<?php include( __DIR__ .'/include/content-header.php'); ?>
						</div>
						</article>
					</div>
					<?php endwhile; ?>
				</div>
				<?php if($enableSidebar == 'Yes'):?>					
					<div class="xs-col-sm-12 xs-col-md-12 xs-col-lg-4 wfp-single-page-sidebar-section ">
						<?php do_action('wfp_single_sidebar_before');?>
							<?php get_sidebar();?>
						<?php do_action('wfp_single_sidebar_after');?>	
					</div>					
				<?php endif;?>
			</div>			
		</div>			
	</section>	
</div>				

<?php
// footer page design
get_footer();